Documentation for Face Intellect 8.0-8.1. Documentation for other versions of Intellect is available too.
Previous page Next page
General request format:
POST http://IP-address:port/firserver/GetAnalityc
Request parameters:
| Parameter | Required | Parameter description |
|---|---|---|
| server_id | Yes | Identifier of the Face Recognition Server in Face-Intellect |
| minAge | No | Minimum age of persons |
| maxAge | No | Maximum age of persons |
| dateTimeFrom | Yes | Time in UTC+0 format, starting from which the data should be obtained |
| dateTimeTo | Yes | Time in UTC+0 format, up to which the data should be obtained |
| genders | No | Gender of persons whose data should be obtained: 0 — Unknown, 1 — Males, 2 — Females |
| faceMode | No | Type of persons whose data should be obtained: 0 — all faces, 1 — only recognized faces, 2 — only unrecognized faces |
| threshold | No | Threshold value of the faces similarity degree |
| minPasses | No | Filter by the minimum number of passes |
| maxPasses | No | Filter by the maximum number of passes |
| cameraIds | No | Camera IDs in Face-Intellect |
Request example:
POST http://127.0.0.1:10000/firserver/GetAnalityc
{
"server_id": "1",
"minAge": 0,
"maxAge": 1000,
"dateTimeFrom": "2018-08-17T21:00:00.000",
"dateTimeTo": "2018-09-18T20:59:59.000",
"genders": [
0,
1,
2
],
"faceMode": 0,
"threshold": 0.8,
"minPasses": 1,
"maxPasses": 10000,
"cameraIds": [
"1"
]
}
Request headlines:
| Headline | Headline description |
|---|---|
| Allow | Returns the HTTP method used in request |
| Content-Length | Shows the size of characters in bytes, received in the request |
| Content-Type | Returns the type of received request |
| Server | Specifies the server from which the request comes |
| Access-Control-Request-Method | Returns the HTTP method that can be used in the request |
| Access-Control-Origin | Indicates if the code that sends the request from this source can access the server response |
| Date | Shows the time of the request |
Response example:
Response parameters:
| Parameter | Parameter description |
|---|---|
| PassAndLikesList | List of passes of unique faces |
| MainPass | Data on the first pass of a unique face (for more details, see Getting the recognition protocol) |
| BestPerson | Data about the face from the face database and the degree of similarity of the reference face with a unique face, if such a person exists (for more details, see Getting information about users) |
| Timestamp | Time of adding a face to the reference face database in UTC+0 format |
| ImageId | Identifier of the reference face image from the faces database |
| AutoCreated | true if the unrecognized face was added automaticallyи. false if it was added manually |
| LastRecognitionTimestamp | Time of the last pass in UTC+0 format |
| RecognitionCount | Number of passes |
| LikePasses | List with data of similar passes (similar to MainPass). Cannot be larger than 5 elements |
| Temperature | Facial temperature in degrees Celsius |
| Emotion | Emotion: 0 — undefined, 1 — rage, 2 — fear, 3 — happiness, 4 — without emotion, 5 — sadness, 6 — astonishment |
| Glasses | Glasses: 0 — undefined, 1 — tinted glasses, 2 — without glasses, 3 — glasses |
| FacialHair | Facial hair: 0 — undefined; 1 — beard, 2 — bristle, 3 — imperial beard and mustache, 4 — imperial beard, 5 — mustache, 6 — absent |
| HairColor | Hair color: 0 — undefined, 1 — brunet, 2 — blonde, 3 — chestnut hair, 4 — ginger, 5 — gray |
| HairType | Type of bald head: 0 — undefined, 1 — bald, 2 — with receding hairline, 3 — without bald head |
| Headwear | Headwear: 0 — undefined, 1 — cap, 2 — bandana, 3 — beret, 4 — beanie, 5 — trapper hat, 6 — fur hood, 7 — glasses on head, 8 — hat, 9 — helmet, 10 — hood, 11 — kepi, 12 — headscarf, 13 — without headwear, 14 — peaky cap |
| Liveness | Artificial face: 0 — undefined, 1 — no, 2 — yes |
| Evasion | Face concealment: 0 — undefined, 1 — face not covered, 2 — mask is on, 3 — tinted glasses, 4 — face partially covered, 5 — balaclava, 6 — other mask, 7 — mask is not on the right place |
| Total | Total number of unique faces |
| Males | Number of males |
| Females | Number of females |
| ProcessedTotal | Total number of processed faces |
| ProcessedDuration | Execution time of the faces processing in milliseconds |
| CompareCount | Total number of the face comparisons |
| Response | Response |
| Status | Completed request status: SUCCESS — successful, if error — see List of possible errors of the Face Recognition Server |
